Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://www.suprsonic.com/api/v1/articles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.suprsonic.com/api/v1/articles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.suprsonic.com/api/v1/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"slug": "<string>",
"content": "<string>",
"meta_description": "<string>",
"hero_image_url": "<string>",
"tags": [
"<string>"
],
"publish_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"customer_avatars": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cta_headline": "<string>",
"cta_subheadline": "<string>",
"cta_button": "<string>",
"cta_url": "<string>"
},
"_links": {
"self": "<string>",
"account": "<string>",
"related": "<string>"
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request data",
"details": {}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request data",
"details": {}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request data",
"details": {}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request data",
"details": {}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request data",
"details": {}
}
}Retrieve a single article by its UUID or slug. The article access is determined by the authentication:
Authenticated Access:
Public Access (from valid domains):
Was this page helpful?